#!/bin/bash
set -e

dir="/home/"
if [ $1 == "oobe" ]; then
	#user=`w -h | cut -d' ' -f1 | sort | uniq | head -n1`
	#echo $user
	for file in $(ls "$dir"); do
		if [[ -d "$dir$file" ]]; then
			cd /home/$file
			if [ -d "./.cache" ]; then
				rm -r .cache
			fi
			if [ -d "./.cdos" ]; then
				rm -r .cdos
			fi
			if [ -d "./.config" ]; then
				rm -r .config 
			fi
			if [ -d "./.local" ]; then
				mv -r .local 
			fi
		fi
	done
elif [ $1 == "recover" ]; then
	if [ -d "/mnt/data/home" ]; then
		dir=/mnt/data/home/
	else
		dir=/mnt/home/
	fi
	for file in $(ls "$dir"); do
		if [[ -d "$dir$file" ]]; then
			cd $dir$file
			echo $dir$file
			echo $(ls -la)
			if [ -d "./.cache" ]; then
				rm -r .cache 
			fi
			if [ -d "./.cdos" ]; then
				rm -r .cdos
			fi
			if [ -d "./.config" ]; then
				rm -r .config 
			fi
			if [ -d "./.local" ]; then
				rm -r .local 
			fi
		fi
	done
fi
